# `PintValidator`

digraph inheritancee64e1c0836 { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "PintValidator" [URL="#taurus.qt.qtgui.util.PintValidator",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="A QValidator for pint Quantities"]; "QValidator" -> "PintValidator" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QObject" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QObject(parent: QObject|None = None)"]; "wrapper" -> "QObject" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QValidator" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QValidator(parent: QObject|None = None)"]; "QObject" -> "QValidator" [arrowsize=0.5,style="setlinewidth(0.5)"]; "simplewrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "wrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "simplewrapper" -> "wrapper" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class PintValidator

  A QValidator for pint Quantities

  Import from `taurus.qt.qtgui.util` as:

      from taurus.qt.qtgui.util import PintValidator

  property bottom

    minimum accepted or None if it is not enforced :rtype: Quantity or None

    Type:

      return

  setBottom(bottom)

    Set minimum limit

    Parameters:

      bottom (Quantity or None) – minimum acceptable value or None if it is not to be enforced

  setTop(top)

    Set maximum limit

    Parameters:

      top (Quantity or None) – maximum acceptable value or None if it is not to be enforced

  setUnits(units)

    Set implicit units. They will be assumed when the text does not explicit the unit. They will also be used for dimensionality coherence checks.

    Parameters:

      units (pint.Unit or None) – The implicit unit. If None, implicit dimension is “unitless” and no dimensionality checks will be performed (other than those inherent to range enforcement)

  property top

    maximum accepted or None if it is not enforced :rtype: Quantity or None

    Type:

      return

  property units

    base units or None if it should not be enforced :rtype: pint.Unit or None

    Type:

      return

  validate(input, pos)

    Reimplemented from `QValidator` to validate if the input string is a representation of a quantity within the set bottom and top limits